\documentclass{standalone}

\usepackage{tikz}
\input{couleur.sty}

\begin{document}
\begin{tikzpicture}[line cap=round,line join=round,x=1cm,y=1cm]
\draw [color=Gris1,, xstep=1cm,ystep=1cm] (-4,-3) grid (3,4);
\clip(-4,-3) rectangle (3,4);
\draw [line width=1.5pt,color=J1] (2,3)-- (1,-2);
\draw [line width=1.5pt,color=J1] (2,3)-- (-3,1);
\draw [line width=1.5pt,color=J1] (-3,1)-- (1,-2);
\draw [line width=1.5pt,color=A1] (-1,-4) -- (-1,4);
\begin{Large}
\draw (-1.5,3.5) node[anchor=center] {$(d)$};
\end{Large}
\draw [color=black] (1,1)-- ++(-2.5pt,-2.5pt) -- ++(5pt,5pt) ++(-5pt,0) -- ++(5pt,-5pt);
\draw[color=black] (1.2,1.5) node {$O$};
\end{tikzpicture}
\end{document}